Я запускаю этот cmd

Развертывание приложения gcloud

И получите эту ошибку

[ОШИБКА] Не найден плагин для префикса 'gcloud' в текущем проекте и в группах плагинов [org.apache.maven.plugins, org.codehaus.mojo], доступных из репозиториев [локальный (/Users/gallavie/.m2/ репозиторий), центральный (https://repo.maven.apache.org/maven2)] -> [Справка 1] [ОШИБКА] [ОШИБКА] Чтобы увидеть полную трассировку стека ошибок, повторно запустите Maven с ключом -e. [ОШИБКА] Перезапустите Maven, используя переключатель -X, чтобы включить полное ведение журнала отладки. [ОШИБКА] [ERROR] Дополнительные сведения об ошибках и возможных решениях см. В следующих статьях: [ОШИБКА] [Справка 1] http://cwiki.apache.org/confluence/display / MAVEN / NoPluginFoundForPrefixException

Это мой плагин в файле pom.xml

<build>
    <plugins>
        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <version>2.5.1</version>
            <artifactId>maven-compiler-plugin</artifactId>
            <configuration>
                <source>1.8</source>
                <target>1.8</target>
            </configuration>
        </plugin>

        <plugin>
            <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-war-plugin</artifactId>
            <version>2.3</version>
            <configuration>
                <archiveClasses>true</archiveClasses>
                <webResources>
                    <!-- in order to interpolate version from pom into appengine-web.xml -->
                    <resource>
                        <directory>${basedir}/src/main/webapp/WEB-INF</directory>
                        <filtering>true</filtering>
                        <targetPath>WEB-INF</targetPath>
                    </resource>
                </webResources>
            </configuration>
        </plugin>

        <plugin>
            <groupId>com.google.appengine</groupId>
            <artifactId>appengine-maven-plugin</artifactId>
            <version>${appengine.target.version}</version>
        </plugin>
    </plugins>
</build>
2
user2320349 13 Сен 2020 в 20:58

2 ответа

Лучший ответ

Причина, по которой вы получаете эту ошибку, заключается в том, что вам не хватает зависимости gcloud в вашем pom.xml, попробуйте добавить к ней следующее:

<plugin>
   <groupId>com.google.cloud.tools</groupId>
   <artifactId>appengine-maven-plugin</artifactId>
   <version>2.2.0</version>
</plugin>

Также для получения дополнительной информации о развертывании с использованием maven в appengine вы можете проверить эту документацию

1
Rafael Lemos 15 Сен 2020 в 14:14

Была аналогичная проблема после миграции, pom был в порядке, помогла следующая команда.

mvn clean package install -P dev appengine:deploy -Dapp.deploy.version=app_version

Документация здесь и здесь были полезны.

0
slk 12 Мар 2021 в 14:03